<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="zh">
<head>
<!-- Generated by javadoc (15) on Thu Jan 07 21:59:30 CST 2021 -->
<title>G-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2021-01-07">
<meta name="description" content="index: G">
<meta name="generator" content="javadoc/SplitIndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="split-index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">G</a>&nbsp;<a href="index-5.html">J</a>&nbsp;<a href="index-6.html">K</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">R</a>&nbsp;<a href="index-9.html">S</a>&nbsp;<a href="index-10.html">T</a>&nbsp;<a href="index-11.html">U</a>&nbsp;<a href="index-12.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a>
<h2 class="title" id="I:G">G</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="../app/Rent.html#getAccountId()">getAccountId()</a></span> - Method in class app.<a href="../app/Rent.html" title="class in app">Rent</a></dt>
<dd>
<div class="block">取得租用者帳號編號</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Transaction.html#getAccountId()">getAccountId()</a></span> - Method in class app.<a href="../app/Transaction.html" title="class in app">Transaction</a></dt>
<dd>
<div class="block">取得交易者帳號編號</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Visa.html#getAccountId()">getAccountId()</a></span> - Method in class app.<a href="../app/Visa.html" title="class in app">Visa</a></dt>
<dd>
<div class="block">取得持有者帳號編號</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Kitchen.html#getAddress()">getAddress()</a></span> - Method in class app.<a href="../app/Kitchen.html" title="class in app">Kitchen</a></dt>
<dd>
<div class="block">取得廚房地址</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Account.html#getAdmin()">getAdmin()</a></span> - Method in class app.<a href="../app/Account.html" title="class in app">Account</a></dt>
<dd>
<div class="block">取得管理員權限</div>
</dd>
<dt><span class="member-name-link"><a href="../app/AccountHelper.html#getAll()">getAll()</a></span> - Method in class app.<a href="../app/AccountHelper.html" title="class in app">AccountHelper</a></dt>
<dd>
<div class="block">取得所有帳號資料</div>
</dd>
<dt><span class="member-name-link"><a href="../app/KitchenHelper.html#getAll()">getAll()</a></span> - Method in class app.<a href="../app/KitchenHelper.html" title="class in app">KitchenHelper</a></dt>
<dd>
<div class="block">取得所有廚房資料</div>
</dd>
<dt><span class="member-name-link"><a href="../app/RentHelper.html#getAll()">getAll()</a></span> - Method in class app.<a href="../app/RentHelper.html" title="class in app">RentHelper</a></dt>
<dd>
<div class="block">取得所有租用資料</div>
</dd>
<dt><span class="member-name-link"><a href="../app/TransactionHelper.html#getAll()">getAll()</a></span> - Method in class app.<a href="../app/TransactionHelper.html" title="class in app">TransactionHelper</a></dt>
<dd>
<div class="block">取得所有交易資料</div>
</dd>
<dt><span class="member-name-link"><a href="../app/VisaHelper.html#getAll()">getAll()</a></span> - Method in class app.<a href="../app/VisaHelper.html" title="class in app">VisaHelper</a></dt>
<dd>
<div class="block">取得所有信用卡資料</div>
</dd>
<dt><span class="member-name-link"><a href="../tools/JsonReader.html#getArray()">getArray()</a></span> - Method in class tools.<a href="../tools/JsonReader.html" title="class in tools">JsonReader</a></dt>
<dd>
<div class="block">將 Http Request 轉換成 JSONArray 之物件，Request之字串最外層必須為 [] Array</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Visa.html#getBankId()">getBankId()</a></span> - Method in class app.<a href="../app/Visa.html" title="class in app">Visa</a></dt>
<dd>
<div class="block">取得銀行行號</div>
</dd>
<dt><span class="member-name-link"><a href="../app/RentHelper.html#getByAccountId(java.lang.String)">getByAccountId(String)</a></span> - Method in class app.<a href="../app/RentHelper.html" title="class in app">RentHelper</a></dt>
<dd>
<div class="block">透過帳號編號取得該帳號的租用資料</div>
</dd>
<dt><span class="member-name-link"><a href="../app/TransactionHelper.html#getByAccountId(java.lang.String)">getByAccountId(String)</a></span> - Method in class app.<a href="../app/TransactionHelper.html" title="class in app">TransactionHelper</a></dt>
<dd>
<div class="block">透過帳號編號取得該帳號的交易資料</div>
</dd>
<dt><span class="member-name-link"><a href="../app/VisaHelper.html#getByAccountId(java.lang.String)">getByAccountId(String)</a></span> - Method in class app.<a href="../app/VisaHelper.html" title="class in app">VisaHelper</a></dt>
<dd>
<div class="block">透過帳號編號取得該帳號的信用卡資料</div>
</dd>
<dt><span class="member-name-link"><a href="../app/AccountHelper.html#getById(java.lang.String)">getById(String)</a></span> - Method in class app.<a href="../app/AccountHelper.html" title="class in app">AccountHelper</a></dt>
<dd>
<div class="block">透過帳號編號取得帳號資料</div>
</dd>
<dt><span class="member-name-link"><a href="../app/KitchenHelper.html#getById(java.lang.String)">getById(String)</a></span> - Method in class app.<a href="../app/KitchenHelper.html" title="class in app">KitchenHelper</a></dt>
<dd>
<div class="block">透過廚房編號取得廚房資料</div>
</dd>
<dt><span class="member-name-link"><a href="../app/RentHelper.html#getById(java.lang.String)">getById(String)</a></span> - Method in class app.<a href="../app/RentHelper.html" title="class in app">RentHelper</a></dt>
<dd>
<div class="block">透過租用編號取得租用資料</div>
</dd>
<dt><span class="member-name-link"><a href="../app/TransactionHelper.html#getById(java.lang.String)">getById(String)</a></span> - Method in class app.<a href="../app/TransactionHelper.html" title="class in app">TransactionHelper</a></dt>
<dd>
<div class="block">透過交易編號取得交易資料</div>
</dd>
<dt><span class="member-name-link"><a href="../app/VisaHelper.html#getById(java.lang.String)">getById(String)</a></span> - Method in class app.<a href="../app/VisaHelper.html" title="class in app">VisaHelper</a></dt>
<dd>
<div class="block">透過信用卡編號取得信用卡資料</div>
</dd>
<dt><span class="member-name-link"><a href="../app/RentHelper.html#getByKitchenId(java.lang.String)">getByKitchenId(String)</a></span> - Method in class app.<a href="../app/RentHelper.html" title="class in app">RentHelper</a></dt>
<dd>
<div class="block">透過廚房編號取得該廚房的租用資料</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Visa.html#getCardId()">getCardId()</a></span> - Method in class app.<a href="../app/Visa.html" title="class in app">Visa</a></dt>
<dd>
<div class="block">取得信用卡卡號</div>
</dd>
<dt><span class="member-name-link"><a href="../util/DBMgr.html#getConnection()">getConnection()</a></span> - Static method in class util.<a href="../util/DBMgr.html" title="class in util">DBMgr</a></dt>
<dd>
<div class="block">透過JDBC建立資料庫之連線</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Account.html#getCreatedAt()">getCreatedAt()</a></span> - Method in class app.<a href="../app/Account.html" title="class in app">Account</a></dt>
<dd>
<div class="block">取得建立時間</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Kitchen.html#getCreatedAt()">getCreatedAt()</a></span> - Method in class app.<a href="../app/Kitchen.html" title="class in app">Kitchen</a></dt>
<dd>
<div class="block">取得建立時間</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Rent.html#getCreatedAt()">getCreatedAt()</a></span> - Method in class app.<a href="../app/Rent.html" title="class in app">Rent</a></dt>
<dd>
<div class="block">取得建立時間</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Transaction.html#getCreatedAt()">getCreatedAt()</a></span> - Method in class app.<a href="../app/Transaction.html" title="class in app">Transaction</a></dt>
<dd>
<div class="block">取得建立時間</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Visa.html#getCreatedAt()">getCreatedAt()</a></span> - Method in class app.<a href="../app/Visa.html" title="class in app">Visa</a></dt>
<dd>
<div class="block">取得建立時間</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Account.html#getData()">getData()</a></span> - Method in class app.<a href="../app/Account.html" title="class in app">Account</a></dt>
<dd>
<div class="block">取得Account所有資料</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Kitchen.html#getData()">getData()</a></span> - Method in class app.<a href="../app/Kitchen.html" title="class in app">Kitchen</a></dt>
<dd>
<div class="block">取得JSONObject格式的廚房資料</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Rent.html#getData()">getData()</a></span> - Method in class app.<a href="../app/Rent.html" title="class in app">Rent</a></dt>
<dd>
<div class="block">取得JSONObject格式的租用資料</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Transaction.html#getData()">getData()</a></span> - Method in class app.<a href="../app/Transaction.html" title="class in app">Transaction</a></dt>
<dd>
<div class="block">取得JSONObject格式的交易資料</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Visa.html#getData()">getData()</a></span> - Method in class app.<a href="../app/Visa.html" title="class in app">Visa</a></dt>
<dd>
<div class="block">取得JSONObject格式的信用卡資料</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Account.html#getDeleted()">getDeleted()</a></span> - Method in class app.<a href="../app/Account.html" title="class in app">Account</a></dt>
<dd>
<div class="block">取得是否軟刪除</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Kitchen.html#getDeleted()">getDeleted()</a></span> - Method in class app.<a href="../app/Kitchen.html" title="class in app">Kitchen</a></dt>
<dd>
<div class="block">取得是否軟刪除</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Visa.html#getDeleted()">getDeleted()</a></span> - Method in class app.<a href="../app/Visa.html" title="class in app">Visa</a></dt>
<dd>
<div class="block">取得是否軟刪除</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Account.html#getEmail()">getEmail()</a></span> - Method in class app.<a href="../app/Account.html" title="class in app">Account</a></dt>
<dd>
<div class="block">取得電子信箱</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Rent.html#getEndAt()">getEndAt()</a></span> - Method in class app.<a href="../app/Rent.html" title="class in app">Rent</a></dt>
<dd>
<div class="block">取得租用結束時間</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Account.html#getFirstName()">getFirstName()</a></span> - Method in class app.<a href="../app/Account.html" title="class in app">Account</a></dt>
<dd>
<div class="block">取得名字</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Visa.html#getGoodThru()">getGoodThru()</a></span> - Method in class app.<a href="../app/Visa.html" title="class in app">Visa</a></dt>
<dd>
<div class="block">取得有效年月</div>
</dd>
<dt><span class="member-name-link"><a href="../app/AccountHelper.html#getHelper()">getHelper()</a></span> - Static method in class app.<a href="../app/AccountHelper.html" title="class in app">AccountHelper</a></dt>
<dd>
<div class="block">取得AccountHelper物件</div>
</dd>
<dt><span class="member-name-link"><a href="../app/KitchenHelper.html#getHelper()">getHelper()</a></span> - Static method in class app.<a href="../app/KitchenHelper.html" title="class in app">KitchenHelper</a></dt>
<dd>
<div class="block">取得KitchenHelper物件</div>
</dd>
<dt><span class="member-name-link"><a href="../app/RentHelper.html#getHelper()">getHelper()</a></span> - Static method in class app.<a href="../app/RentHelper.html" title="class in app">RentHelper</a></dt>
<dd>
<div class="block">取得RentHelper物件</div>
</dd>
<dt><span class="member-name-link"><a href="../app/TransactionHelper.html#getHelper()">getHelper()</a></span> - Static method in class app.<a href="../app/TransactionHelper.html" title="class in app">TransactionHelper</a></dt>
<dd>
<div class="block">取得TransactionHelper物件</div>
</dd>
<dt><span class="member-name-link"><a href="../app/VisaHelper.html#getHelper()">getHelper()</a></span> - Static method in class app.<a href="../app/VisaHelper.html" title="class in app">VisaHelper</a></dt>
<dd>
<div class="block">取得VisaHelper物件</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Account.html#getId()">getId()</a></span> - Method in class app.<a href="../app/Account.html" title="class in app">Account</a></dt>
<dd>
<div class="block">取得帳號編號</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Kitchen.html#getId()">getId()</a></span> - Method in class app.<a href="../app/Kitchen.html" title="class in app">Kitchen</a></dt>
<dd>
<div class="block">取得廚房編號</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Rent.html#getId()">getId()</a></span> - Method in class app.<a href="../app/Rent.html" title="class in app">Rent</a></dt>
<dd>
<div class="block">取得租用編號</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Transaction.html#getId()">getId()</a></span> - Method in class app.<a href="../app/Transaction.html" title="class in app">Transaction</a></dt>
<dd>
<div class="block">取得交易編號</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Visa.html#getId()">getId()</a></span> - Method in class app.<a href="../app/Visa.html" title="class in app">Visa</a></dt>
<dd>
<div class="block">取得信用卡編號</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Rent.html#getKitchenId()">getKitchenId()</a></span> - Method in class app.<a href="../app/Rent.html" title="class in app">Rent</a></dt>
<dd>
<div class="block">取得租用之廚房編號</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Account.html#getLastName()">getLastName()</a></span> - Method in class app.<a href="../app/Account.html" title="class in app">Account</a></dt>
<dd>
<div class="block">取得姓氏</div>
</dd>
<dt><span class="member-name-link"><a href="../app/AccountHelper.html#getLoginId(javax.servlet.http.HttpServletRequest)">getLoginId(HttpServletRequest)</a></span> - Method in class app.<a href="../app/AccountHelper.html" title="class in app">AccountHelper</a></dt>
<dd>
<div class="block">取得登入中的帳號id<br>
 0表示未登入，其餘表示登入中的帳號id</div>
</dd>
<dt><span class="member-name-link"><a href="../tools/JsonReader.html#getObject()">getObject()</a></span> - Method in class tools.<a href="../tools/JsonReader.html" title="class in tools">JsonReader</a></dt>
<dd>
<div class="block">將 Http Request 轉換成 JSONObject 之物件，Request之字串最外層必須為 {} Object</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Rent.html#getPaid()">getPaid()</a></span> - Method in class app.<a href="../app/Rent.html" title="class in app">Rent</a></dt>
<dd>
<div class="block">取得是否付款</div>
</dd>
<dt><span class="member-name-link"><a href="../tools/JsonReader.html#getParameter(java.lang.String)">getParameter(String)</a></span> - Method in class tools.<a href="../tools/JsonReader.html" title="class in tools">JsonReader</a></dt>
<dd>
<div class="block">取得GET Request內之參數（透過網址傳值）</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Account.html#getPassword()">getPassword()</a></span> - Method in class app.<a href="../app/Account.html" title="class in app">Account</a></dt>
<dd>
<div class="block">取得密碼</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Kitchen.html#getPrice()">getPrice()</a></span> - Method in class app.<a href="../app/Kitchen.html" title="class in app">Kitchen</a></dt>
<dd>
<div class="block">取得每小時價錢</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Rent.html#getPrice()">getPrice()</a></span> - Method in class app.<a href="../app/Rent.html" title="class in app">Rent</a></dt>
<dd>
<div class="block">取得價錢</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Transaction.html#getRentId()">getRentId()</a></span> - Method in class app.<a href="../app/Transaction.html" title="class in app">Transaction</a></dt>
<dd>
<div class="block">取得交易之租用編號</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Rent.html#getStartAt()">getStartAt()</a></span> - Method in class app.<a href="../app/Rent.html" title="class in app">Rent</a></dt>
<dd>
<div class="block">取得租用開始時間</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Account.html#getUpdatedAt()">getUpdatedAt()</a></span> - Method in class app.<a href="../app/Account.html" title="class in app">Account</a></dt>
<dd>
<div class="block">取得更新時間</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Kitchen.html#getUpdatedAt()">getUpdatedAt()</a></span> - Method in class app.<a href="../app/Kitchen.html" title="class in app">Kitchen</a></dt>
<dd>
<div class="block">取得更新時間</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Rent.html#getUpdatedAt()">getUpdatedAt()</a></span> - Method in class app.<a href="../app/Rent.html" title="class in app">Rent</a></dt>
<dd>
<div class="block">取得更新時間</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Visa.html#getUpdatedAt()">getUpdatedAt()</a></span> - Method in class app.<a href="../app/Visa.html" title="class in app">Visa</a></dt>
<dd>
<div class="block">取得更新時間</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Visa.html#getValidationNum()">getValidationNum()</a></span> - Method in class app.<a href="../app/Visa.html" title="class in app">Visa</a></dt>
<dd>
<div class="block">取得驗證碼</div>
</dd>
<dt><span class="member-name-link"><a href="../app/Transaction.html#getVisaId()">getVisaId()</a></span> - Method in class app.<a href="../app/Transaction.html" title="class in app">Transaction</a></dt>
<dd>
<div class="block">取得交易使用之信用卡</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">G</a>&nbsp;<a href="index-5.html">J</a>&nbsp;<a href="index-6.html">K</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">R</a>&nbsp;<a href="index-9.html">S</a>&nbsp;<a href="index-10.html">T</a>&nbsp;<a href="index-11.html">U</a>&nbsp;<a href="index-12.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
